Name:           aladin
Version:        8.040
Release:        1%{?dist}
Summary:        Interactive Sky Atlas

License:        GPLv3
URL:            http://aladin.u-strasbg.fr/aladin.gml
Source0:        http://aladin.u-strasbg.fr/java/download/AladinSrc.jar
Source1:        %{name}.sh
Source2:        %{name}.desktop
Source3:        %{name}.appdata.xml
Source4:        %{name}.png

BuildRequires:  ant
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  java-devel
BuildRequires:  libappstream-glib

Requires:       java

BuildArch:      noarch

%description
Aladin is an interactive sky atlas allowing the user to visualize digitized
astronomical images or full surveys, superimpose entries from astronomical
catalogues or databases, and interactively access related data and information
from the Simbad database, the VizieR service and other archives for all known
astronomical objects in the field.

%prep
%setup -q -c


%build
ant -lib .

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{appdata,applications,pixmaps}

install -m 644 *.jar %{buildroot}%{_javadir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/aladin
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/aladin.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/appdata/aladin.appdata.xml
install -m 644 %{SOURCE4}  %{buildroot}%{_datadir}/pixmaps/aladin.png

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/aladin.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/aladin.desktop

%files
%{_bindir}/aladin
%{_datadir}/appdata/aladin.appdata.xml
%{_datadir}/applications/aladin.desktop
%{_datadir}/pixmaps/aladin.png
%{_javadir}/*.jar

%changelog
* Mon Jan  4 2016 Christian Dersch <lupinix@mailbox.org> - 8.040-1
- initial spec, based on Mageia package
